## qwbfsmanager 1.2.1

=== fresh/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set (PROJECT fresh) 
 
project (${PROJECT}) 

option(shared "Build shared library" y)
set(BUILD_SHARED_LIBS ${shared})

# Find Qt4
find_package (Qt4 REQUIRED)
set(QT_USE_QTXML true)
set(QT_USE_QTNETWORK true)
include (${QT_USE_FILE})

# Set headers and sources list of the library
file(GLOB_RECURSE FORMS src/*.ui)
file(GLOB_RECURSE HEADERS ./src/*.h)
file(GLOB_RECURSE CORE_HEADERS include/FreshCore/*.h ./src/core/*.h)
file(GLOB_RECURSE GUI_HEADERS include/FreshGui/*.h ./src/gui/*.h)
file(GLOB_RECURSE SOURCES src/*.cpp)
file(GLOB_RECURSE TS_FILES translations/*.ts)
file(GLOB PRF_FILES ./*.prf)

# Process MOC, UI and TS files
qt4_wrap_cpp (MOC_SOURCES ${HEADERS})
qt4_wrap_ui( UI_HEADERS ${FORMS} )
# qt4_add_translation(TRANSLATIONS ${TS_FILES}) it seems, we don't need generate translations for the lib
qt4_add_resources(RESOURCES resources/fresh.qrc)


# Build main library
add_library (${PROJECT} ${UI_HEADERS} ${HEADERS} ${SOURCES} ${RESOURCES} ${MOC_SOURCES} ${TRANSLATIONS})
if(CMAKE_COMPILER_IS_GNUCC)
    set_target_properties(${PROJECT}
                          PROPERTIES COMPILE_FLAGS -fPIC)
endif(CMAKE_COMPILER_IS_GNUCC)

include_directories (   "include"
                        "src"
                        "src/core"
                        "src/gui"  
                        "src/gui/dockwidget"
                        "src/gui/dockmanager"
                        "src/gui/environmentvariablemanager"
                        "src/gui/listeditor"
                        "src/gui/models"
                        "src/gui/stylemanager"
                        "src/gui/queuedmessage"
                        "src/gui/gc-updatechecker"
                        "src/gui/consolemanager"
                        "src/gui/actionmanager" )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} ) # for .ui
target_link_libraries (${PROJECT} ${QT_LIBRARIES})

# Install library and include files, only if it is shared
if (shared)
    message("Building SHARED library.  Use \n\tcmake -Dshared=0\n for build static.")
    #message("Library and headers will be installed to " ${CMAKE_INSTALL_PREFIX})
    #message ("Use \n\tcmake -D CMAKE_INSTALL_PREFIX=/your/install/path\n for set another path")
    
    # Install main library
    install(TARGETS fresh LIBRARY DESTINATION ${QT_LIBRARY_DIR})
    install(FILES ${CORE_HEADERS} DESTINATION ${QT_HEADERS_DIR}/FreshCore)
    install(FILES ${GUI_HEADERS} DESTINATION ${QT_HEADERS_DIR}/FreshGui)
    install(FILES ${PRF_FILES} DESTINATION ${QT_MKSPECS_DIR}/features)
    install(FILES ${TS_FILES} DESTINATION ${QT_TRANSLATIONS_DIR})
    install(FILES ./FindFresh.cmake DESTINATION ${CMAKE_ROOT}/Modules/)
    
else (shared)
    message("Building STATIC library. Use 'cmake -Dshared=1' for build shared.")
endif (shared)

if (shared)
    add_subdirectory(Python
                     ${CMAKE_CURRENT_BINARY_DIR}/python)
else (shared)
    message("Python bindings not supported for static library")
endif(shared)

=== fresh/Python/CMakeLists.txt ===
# Build Python bindings
cmake_minimum_required(VERSION 2.8)

PROJECT(pyfresh)

set(CMAKE_MODULE_PATH 
	${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(PythonInterp REQUIRED)
find_package(PythonLibrary REQUIRED)
include(PythonMacros)

find_package (Qt4 REQUIRED)
set(QT_USE_QTXML true)
set(QT_USE_QTNETWORK true)
include (${QT_USE_FILE})

find_package(PyQt4 REQUIRED)
if (NOT EXISTS ${PYQT4_SIP_DIR}/QtCore/QtCoremod.sip)
    message(FATAL_ERROR "PyQt4 development files not found. Install it from python-qt4-dev package, or find other way, and share it to the fresh authors for update this message")
endif (NOT EXISTS ${PYQT4_SIP_DIR}/QtCore/QtCoremod.sip)

find_package(SIP REQUIRED)
include(SIPMacros)

# Set a a PYTHON_3 flag.
if(${PYTHON_SHORT_VERSION} MATCHES "^3")
    set(PYTHON_3 TRUE)
else(${PYTHON_SHORT_VERSION} MATCHES "^3")
    set(PYTHON_3 FALSE)
endif(${PYTHON_SHORT_VERSION} MATCHES "^3")

include_directories(
    ${PYTHON_INCLUDE_PATH}
    ${SIP_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/../src
    ${CMAKE_SOURCE_DIR}/../build
)

set(SIP_INCLUDES ${PYQT4_SIP_DIR} sip)

if(WIN32)
    set(SIP_TAGS ALL WS_WIN ${PYQT4_VERSION_TAG})
else(WIN32)
    set(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})
endif(WIN32)
set(SIP_DISABLE_FEATURES VendorID PyQt_NoPrintRangeBug)

# Use an extra option when compiling on Python 3.
if(PYTHON_3)
    set(SIP_EXTRA_OPTIONS -g -x Py_v3)
else(PYTHON_3)
    set(SIP_EXTRA_OPTIONS -g)
endif(PYTHON_3)

file(GLOB_RECURSE ALL_SIP_FILES *.sip)
set(SIP_EXTRA_FILES_DEPEND ${ALL_SIP_FILES})

# SIP macros installs module to the PYTHON_SITE_PACKAGES_INSTALL_DIR
# We need redefine this variable to install fresh to PyQt4 module
execute_process(COMMAND ${PYTHON_EXECUTABLE} 
				"-c"
				"import os; import PyQt4; print os.path.dirname(PyQt4.__file__)"
				OUTPUT_VARIABLE PYTHON_SITE_PACKAGES_INSTALL_DIR
				OUTPUT_STRIP_TRAILING_WHITESPACE)


add_sip_python_module(fresh fresh.sip
					  fresh
					  ${QT_CORE_LIBRARY} 
					  ${QT_GUI_LIBRARY} 
					  ${QT_XML_LIBRARY} 
					  ${QT_NETWORK_LIBRARY})

message(STATUS
		"PYTHON_SITE_PACKAGES_INSTALL_DIR:${PYTHON_SITE_PACKAGES_INSTALL_DIR}")

# Install the .sip files for anyone that wants to build bindings on top of fresh
file(GLOB_RECURSE SIP_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.sip)
install(FILES ${SIP_FILES}
		DESTINATION ${SIP_DEFAULT_SIP_DIR}/PyQt4/fresh)

## qwbfsmanager 1.1.0

=== debian/changelog ===
qwbfsmanager (1.1.0-1ubuntu1) natty; urgency=low

  * Add patch kubuntu_01_arm_compile.diff to fix compile on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 16:21:52 +0000

qwbfsmanager (1.1.0-1) unstable; urgency=low

  * New upstream release:
    - relicensed to GPL2 (Closes: #587384)
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Update debian/copyright according to upstream license changes.

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 15:32:04 +0300

qwbfsmanager (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #586640)

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jun 2010 11:34:26 +0300

=== debian/control ===
Source: qwbfsmanager
Section: utils
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Filipe Azevedo <pasnox@gmail.com>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.6.0),
 libssl-dev, libxext-dev
Standards-Version: 3.9.0
Homepage: http://code.google.com/p/qwbfs/

Package: qwbfsmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical file manager for the WBFS filesystem
 QWBFS Manager is a graphical user interface (GUI) for working with WBFS
 filesystem formatted hard disk drive.

## qwbfsmanager 1.2.1

=== debian/changelog ===
qwbfsmanager (1.2.1-1.1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:18 +0000

qwbfsmanager (1.2.1-1.1build1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:08:05 +0000

qwbfsmanager (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with recent qmake
    Patch by: Filipe AZEVEDO <pasnox@gmail.com>
    Closes: #672048
  * Fix FTBFS with gcc-4.7
    Patch by: Ilya Barygin <randomaction@ubuntu.com>
    Closes: #677930

 -- Evgeni Golov <evgeni@debian.org>  Fri, 06 Jul 2012 08:38:04 +0200

qwbfsmanager (1.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #626681)
  * Drop fix_598885.patch - merged upstream.
  * Add no_rpath.patch - fesh is linked statically.
  * Update debian/control:
    - add libudev-dev [linux-any] build dependency.
    - set architecture to linux-any.
    - mention "Wii Backup Filesystem" in the long description.
      (Closes: #587805)
  * Update debian/rules:
    - override dh_auto_install to install qwbfsmanager files only.
  * Add debian/README.Debian: mention group requirements for users.
    (Closes: #626683)
  * Provide a Debian menu file. (Closes: #653353)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 15:51:03 +0200

=== debian/control ===
Source: qwbfsmanager
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Filipe Azevedo <pasnox@gmail.com>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libqt4-dev (>= 4:4.6.0),
               libssl-dev,
               libudev-dev [linux-any],
               libxext-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/qwbfs/

Package: qwbfsmanager
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graphical file manager for the WBFS filesystem
 QWBFS Manager is a graphical user interface (GUI) for working with the Wii
 Backup Filesystem (WBFS) filesystem formatted hard disk drive.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- -C qwbfs
	find debian/qwbfsmanager -type f -name 'fresh-*.qm' -delete
